- Home
- API Enriched
- Marketplace
- web
- Addon Service Activation Status.
Addon Service Activation Status.
GET
/api/web/namespaces/system/addon_services/{addon_service}/activation-status
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/addon_services/example/activation-status';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/addon_services/example/activation-status \ --header 'Authorization: <Authorization>'GET current subscription status for an addon service. Response can indicate whether the service was successfully subscribed or in pending state.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”addon_service
required
string
Addon_service Name of the addon_service.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetActivationStatusResp
Response shape for addon service activation status.
object
state
string
Example
{ "state": "AS_NONE"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example